
Name:           conky
Version:        1.10.6
Release:        %mkrel 3
Summary:        A lightweight system monitor
License:        GPLv3+
Group:          Monitoring
Url:            https://github.com/brndnmtthws/conky
Source0:        https://github.com/brndnmtthws/conky/archive/v%{version}.tar.gz#/conky-%{version}.tar.xz
Source2:        startconky
Source3:        conky.conf
Source4:        conky.desktop
Source5:        convert.lua
Source10:       conky-autostartup-kde.desktop
Source11:       conky-autostartup-others.desktop
Patch1:         conky-1.10.1-fix-cmake-build.patch
#---------------------------------------------
BuildRequires: cmake
BuildRequires: docbook-style-xsl
BuildRequires: git
BuildRequires: man
BuildRequires: docbook2x
BuildRequires: libcairo-devel
BuildRequires: libcurl-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype6-devel
BuildRequires: libimlib2-devel
BuildRequires: libiw30-devel
BuildRequires: liblua5.1-devel
BuildRequires: libtolua++-devel
BuildRequires: libx11-devel
BuildRequires: libxdamage-devel
BuildRequires: libxext-devel
BuildRequires: libxfixes-devel 
BuildRequires: libxft-devel 
BuildRequires: libxinerama-devel 
BuildRequires: libxml2-devel 
BuildRequires: libxrender-devel
BuildRequires: x11-proto-devel
#---------------------------------------------
Conflicts: %{name}-kde-autostart
Conflicts: %{name}-mate-autostart
Conflicts: %{name}-wizard
Conflicts: %{name}-manager

%description
Conky is a free, light-weight system monitor for X,
that displays any information on your desktop.

%package -n %{name}-autostart
Summary: Autostart Conky at Login
Group: Monitoring
Requires: %name => 1.0.6
Conflicts: %{name}-kde-autostart
Conflicts: %{name}-mate-autostart

%description -n %{name}-autostart
Autostart Conky when you log into 
the desktop.

%package -n %{name}-convert
Summary: convert.lua script for Conky
Group: Monitoring
Requires: %name => 1.0.6

%description -n %{name}-convert
This package contains the convert.lua script
for converting your configs to the new 1.10.x
format.

Usage: convert.lua old_conkyrc [new_conkyrc]


%prep
%setup -q
%apply_patches

# remove -Werror from CFLAGS
sed -i 's|-Werror||' cmake/ConkyBuildOptions.cmake

# remove executable bits from files included in %{_docdir}
chmod a-x extras/convert.lua

for i in AUTHORS; do
    iconv -f iso8859-1 -t utf8 -o ${i}{_,} && touch -r ${i}{,_} && mv -f ${i}{_,}
done

%build
%cmake \
        -DMAINTAINER_MODE=ON \
        -DBUILD_BUILTIN_CONFIG=OFF \
        -DBUILD_PORT_MONITORS=OFF \
        -DBUILD_CURL=ON \
        -DBUILD_IBM=OFF \
        -DBUILD_IMLIB2=ON \
        -DBUILD_LUA_CAIRO=ON \
        -DBUILD_LUA_IMLIB2=ON \
        -DBUILD_MOC=OFF \
        -DBUILD_MPD=OFF \
        -DBUILD_NCURSES=OFF \
        -DBUILD_RSS=ON \
        -DBUILD_WEATHER_METAR=ON \
        -DBUILD_WEATHER_XOAP=ON \
        -DBUILD_XDBE=ON \
        -DBUILD_WLAN=ON

%make

%install
rm -rf %buildroot
%make_install -C build

#drop
rm -rf %buildroot%{_docdir}/conky-*

#autostart conky
mkdir -p %buildroot/%{_sysconfdir}/xdg/autostart
install -m 0755 %SOURCE10 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
install -m 0755 %SOURCE11 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop

install -m 0755 %SOURCE2 %buildroot/%{_bindir}/startconky
install -m 0755 %SOURCE5 %buildroot/%{_bindir}/convert.lua

#defautl config
mkdir -p %buildroot%{_sysconfdir}/conky
install -m644 %SOURCE3 %buildroot%{_sysconfdir}/conky

#desktop file
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE4 %buildroot/%{_datadir}/applications/conky.desktop


%files
%doc AUTHORS COPYING README.md extras/*
%dir %{_sysconfdir}/conky
%config %{_sysconfdir}/conky/conky.conf
%{_bindir}/conky
%{_libdir}/conky
%{_mandir}/man1/conky.1*
%{_datadir}/applications/conky.desktop

%files -n %name-autostart
%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop
%{_bindir}/startconky

%files -n %{name}-convert
%{_bindir}/convert.lua


%changelog
* Thu Jun 08 2017 adrianomorselli 1.10.6-3uplos2017
- update
- fix default conf to new conky format
